Subject: Re: nncp-redir

From: Sergey Matveev <[email-masked]>
Date: Thu, 1 Jul 2021 19:19:11 +0300

*** John Goerzen [2021-07-01 08:03]:
>So my question is, how does -via interact with the nncp.hjson via? I vaguely
>remembered that one wouldn't necessarily have to spell out the entire route
>initially, and could let, for example, vps figure out how to get a packet to
>its destination if it had a via entry.  But I may be misremembering that.

I am afraid that transition packets always were just laid in the
corresponding spool outbound directory of the target node, without any
logic related to further relaying/transitioning. So you always had to
specify the full route.

But I also can not find any reason why not to look at destination node's
"via" option too. I think it would be safe to add automatic
transitioning if "via" is not empty for the destination node. It should
perfectly fit in your case where you do not specify the full path.

"via" option in nncp.hjson is just a default value for the specified
node of the -via option.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF